Commit b28f556f authored by Simon McVittie's avatar Simon McVittie
Browse files

Formally drop support for non-default debootstrap scripts



This hasn't actually worked since I switched to using debos, and doesn't
seem to have been necessary.
Signed-off-by: Simon McVittie's avatarSimon McVittie <smcv@collabora.com>
parent 71fd2ee5
......@@ -717,17 +717,6 @@ class Builder:
)
output = os.path.join(self.build_area, tarball)
script = self.suite_details.get('debootstrap_script')
if script is not None:
# TODO: flatdeb has historically used a configurable
# debootstrap_script, but debos doesn't support scripts other
# than 'unstable'. Does the Debian script work for precise and
# produce the same results as the 'precise' script?
# https://github.com/go-debos/debos/issues/16
logger.debug(
'Ignoring /usr/share/debootstrap/scripts/%s', script)
self.configure_apt(
os.path.join(scratch, 'suites', apt_suite, 'overlay'),
self.build_apt_sources,
......
......@@ -2,7 +2,6 @@
apt_components:
- main
- contrib
debootstrap_script: 'stretch'
can_merge_usr: true
sources:
- label: debian
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment